Subject: Re: [PATCH] Make CUBIC Hystart more robust to RTT variations

From: Stephen Hemminger <[email-masked]>
Date: Thu, 10 Mar 2011 15:28:48 -0800

On Tue, 8 Mar 2011 10:32:15 +0100
Lucas Nussbaum <[email-masked]> wrote:

> CUBIC Hystart uses two heuristics to exit slow start earlier, before
> losses start to occur. Unfortunately, it tends to exit slow start far too
> early, causing poor performance since convergence to the optimal cwnd is
> then very slow. This was reported in
> http://permalink.gmane.org/gmane.linux.network/188169 and
> https://partner-bugzilla.redhat.com/show_bug.cgi?id=616985

Ignore the RHEL bug. RHEL 5 ships with TCP BIC (not CUBIC) by default.
There are many research papers which show that BIC is too aggressive,
and not fair.

--